using System;
using Server.Items;

namespace Server.Mobiles 
{ 
    public class Actor : BaseCreature 
    { 
        [Constructable] 
        public Actor()
            : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4)
        { 
            this.InitStats(31, 41, 51); 

            this.SpeechHue = Utility.RandomDyedHue(); 

            this.Hue = Utility.RandomSkinHue(); 

            if (this.Female = Utility.RandomBool()) 
            { 
                this.Body = 0x191; 
                this.Name = NameList.RandomName("female");
                this.AddItem(new FancyDress(Utility.RandomDyedHue())); 
                this.Title = "the actress"; 
            }
            else 
            { 
                this.Body = 0x190; 
                this.Name = NameList.RandomName("male");
                this.AddItem(new LongPants(Utility.RandomNeutralHue())); 
                this.AddItem(new FancyShirt(Utility.RandomDyedHue()));
                this.Title = "the actor";
            }

            this.AddItem(new Boots(Utility.RandomNeutralHue()));

            Utility.AssignRandomHair(this);

            Container pack = new Backpack(); 

            pack.DropItem(new Gold(250, 300)); 

            pack.Movable = false; 

            this.AddItem(pack); 
        }

        public Actor(Serial serial)
            : base(serial)
        { 
        }

        public override bool ClickTitle
        {
            get
            {
                return false;
            }
        }
        public override void Serialize(GenericWriter writer) 
        { 
            base.Serialize(writer); 

            writer.Write((int)0); // version 
        }

        public override void Deserialize(GenericReader reader) 
        { 
            base.Deserialize(reader); 

            int version = reader.ReadInt(); 
        }
    }
}