using System;
using System.Collections.Generic;
using Server.Items;

namespace Server.Mobiles
{
    public class SBMapmaker : SBInfo
    {
        private readonly List<GenericBuyInfo> m_BuyInfo = new InternalBuyInfo();
        private readonly IShopSellInfo m_SellInfo = new InternalSellInfo();
        public SBMapmaker()
        {
        }

        public override IShopSellInfo SellInfo
        {
            get
            {
                return this.m_SellInfo;
            }
        }
        public override List<GenericBuyInfo> BuyInfo
        {
            get
            {
                return this.m_BuyInfo;
            }
        }

        public class InternalBuyInfo : List<GenericBuyInfo>
        {
            public InternalBuyInfo()
            {
                this.Add(new GenericBuyInfo(typeof(BlankMap), 5, 40, 0x14EC, 0));
                this.Add(new GenericBuyInfo(typeof(MapmakersPen), 8, 20, 0x0FBF, 0));
                this.Add(new GenericBuyInfo(typeof(BlankScroll), 12, 40, 0xEF3, 0));
				
                for (int i = 0; i < PresetMapEntry.Table.Length; ++i)
                    this.Add(new PresetMapBuyInfo(PresetMapEntry.Table[i], Utility.RandomMinMax(7, 10), 20));
            }
        }

        public class InternalSellInfo : GenericSellInfo
        {
            public InternalSellInfo()
            {
                this.Add(typeof(BlankScroll), 6);
                this.Add(typeof(MapmakersPen), 4);
                this.Add(typeof(BlankMap), 2);
                this.Add(typeof(CityMap), 3);
                this.Add(typeof(LocalMap), 3);
                this.Add(typeof(WorldMap), 3);
                this.Add(typeof(PresetMapEntry), 3);
                //TODO: Buy back maps that the mapmaker sells!!!
            }
        }
    }
}